mnoGoSearch 3.3.4 reference manual: Full-featured search engine software
Prev |  | Next

# NumDistinctWordFactor

## Name

NumDistinctWordFactor -- giving more score to documents having more distinct words

search.htm

## Synopsis

NumDistinctWordFactor {number}

##

The number is between 0 and 255. It specifies how much the number of distinct found words in a document affects its final score. This command has effect only when searching in m=any (any word) mode. 255 means maximum effect, 0 means ignore amount of found distinct words. The default value is 0. With a higher NumDistinctWordFactor value, search query consisting of several words will give more score to the documents containing all the given words and less score to the documents having only some of the words.

## Examples

    NumDistinctWordFactor 100

## See also

DocSizeWeight MinCoordFactor NumWordFactor WordDensityFactor WordFormFactor

Prev | Home | Next
WordFormFactor | Up | NumWordFactor